package com.chenyang.druid.sql.dialect.gauss.visitor;

import com.chenyang.druid.sql.dialect.gauss.ast.GaussSQLIndexSpec;
import com.chenyang.druid.sql.dialect.gauss.ast.GaussSQLPartition;
import com.chenyang.druid.sql.dialect.gauss.ast.GaussSQLPartitionBy;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussBoxExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussCidrExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussCircleExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussColumnSimpleDefinitionExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussExtractExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussInetExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussLineSegmentsExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussMacAddrExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussOptionValue;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussPointExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussPolygonExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussSQLObjectCollection;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussSchemaTables;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.GaussTypeCastExpr;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.constraint.GaussConstraint;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.constraint.GaussStorageParameter;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.tablesource.GaussExprTableSource;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.tablesource.GaussFunctionTableSource;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.tablesource.GaussMethodInvokeTableSource;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.tablesource.GaussRowsFromTableSource;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.tablesource.GaussSubqueryTableSource;
import com.chenyang.druid.sql.dialect.gauss.ast.expr.tablesource.GaussValuesTableSource;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterDatabaseStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterGroupStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterIndexStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterRoleStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterSchemaStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterSequenceStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterSessionStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterSynonymStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterSystemKillSessionStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterTableSpaceStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterTableStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterTriggerStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussAlterViewStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCommonStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussConnectToStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateDatabaseStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateGroupStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateIndexStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateMaterializedViewStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateRoleStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateSchemaStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateSeqenceStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateSynonymStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateTableAsStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateTableSpaceStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateTableStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateTriggerStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussCreateViewStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussDeleteStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussDropSchemaStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussDropSequenceStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussDropTriggerStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussGrantStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussInsertStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussRevokeStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussSelectQueryBlock;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussSelectStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussShowStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussStartTransactionStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.GaussUpdateStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableAddColumn;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableAddConstraint;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableAlterColumn;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableAlterColumnOptions;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableCluster;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableDisableEnabelTrigger;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableDropColumn;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableDropConstraint;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableInheriteOrNotParentTable;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableModify;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableOf;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableRenameColumn;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableRenameConstraint;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableRenameTo;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableSetNewTableSpace;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableSetReset;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableSetSchema;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableSetTableSpace;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableSetWith;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterTableValidateConstraint;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussAlterUserStatement;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussColumnDefinition;
import com.chenyang.druid.sql.dialect.gauss.ast.stmt.alterTable.GaussCreateUserStatement;
import com.chenyang.druid.sql.visitor.SQLASTVisitorAdapter;

public class GaussASTVisitorAdapter extends SQLASTVisitorAdapter implements GaussASTVisitor {
   public void endVisit(GaussSelectQueryBlock x) {
   }

   public boolean visit(GaussSelectQueryBlock x) {
      return true;
   }

   public void endVisit(GaussSelectQueryBlock.FetchClause x) {
   }

   public boolean visit(GaussSelectQueryBlock.FetchClause x) {
      return true;
   }

   public void endVisit(GaussSelectQueryBlock.ForClause x) {
   }

   public boolean visit(GaussSelectQueryBlock.ForClause x) {
      return true;
   }

   public void endVisit(GaussDeleteStatement x) {
   }

   public boolean visit(GaussDeleteStatement x) {
      return true;
   }

   public void endVisit(GaussInsertStatement x) {
   }

   public boolean visit(GaussInsertStatement x) {
      return true;
   }

   public void endVisit(GaussSelectStatement x) {
   }

   public boolean visit(GaussSelectStatement x) {
      return true;
   }

   public void endVisit(GaussUpdateStatement x) {
   }

   public boolean visit(GaussUpdateStatement x) {
      return true;
   }

   public void endVisit(GaussFunctionTableSource x) {
   }

   public boolean visit(GaussFunctionTableSource x) {
      return true;
   }

   public boolean visit(GaussTypeCastExpr x) {
      return true;
   }

   public void endVisit(GaussTypeCastExpr x) {
   }

   public void endVisit(GaussExtractExpr x) {
   }

   public boolean visit(GaussExtractExpr x) {
      return true;
   }

   public void endVisit(GaussBoxExpr x) {
   }

   public boolean visit(GaussBoxExpr x) {
      return true;
   }

   public void endVisit(GaussPointExpr x) {
   }

   public boolean visit(GaussPointExpr x) {
      return true;
   }

   public void endVisit(GaussMacAddrExpr x) {
   }

   public boolean visit(GaussMacAddrExpr x) {
      return true;
   }

   public void endVisit(GaussInetExpr x) {
   }

   public boolean visit(GaussInetExpr x) {
      return true;
   }

   public void endVisit(GaussCidrExpr x) {
   }

   public boolean visit(GaussCidrExpr x) {
      return true;
   }

   public void endVisit(GaussPolygonExpr x) {
   }

   public boolean visit(GaussPolygonExpr x) {
      return true;
   }

   public void endVisit(GaussCircleExpr x) {
   }

   public boolean visit(GaussCircleExpr x) {
      return true;
   }

   public void endVisit(GaussLineSegmentsExpr x) {
   }

   public boolean visit(GaussLineSegmentsExpr x) {
      return true;
   }

   public void endVisit(GaussShowStatement x) {
   }

   public boolean visit(GaussShowStatement x) {
      return true;
   }

   public void endVisit(GaussStartTransactionStatement x) {
   }

   public boolean visit(GaussStartTransactionStatement x) {
      return true;
   }

   public void endVisit(GaussConnectToStatement x) {
   }

   public boolean visit(GaussConnectToStatement x) {
      return true;
   }

   public void endVisit(GaussCreateSchemaStatement x) {
   }

   public boolean visit(GaussCreateSchemaStatement x) {
      return false;
   }

   public void endVisit(GaussDropSchemaStatement x) {
   }

   public boolean visit(GaussDropSchemaStatement x) {
      return false;
   }

   public void endVisit(GaussAlterSchemaStatement x) {
   }

   public boolean visit(GaussAlterSchemaStatement x) {
      return false;
   }

   public void endVisit(GaussMethodInvokeTableSource x) {
   }

   public boolean visit(GaussMethodInvokeTableSource x) {
      return true;
   }

   public void endVisit(GaussExprTableSource x) {
   }

   public boolean visit(GaussExprTableSource x) {
      return true;
   }

   public void endVisit(GaussSubqueryTableSource x) {
   }

   public boolean visit(GaussSubqueryTableSource x) {
      return true;
   }

   public void endVisit(GaussValuesTableSource x) {
   }

   public boolean visit(GaussValuesTableSource x) {
      return true;
   }

   public void endVisit(GaussValuesTableSource.ValueRow x) {
   }

   public boolean visit(GaussValuesTableSource.ValueRow x) {
      return true;
   }

   public void endVisit(GaussSelectQueryBlock.ForClauses x) {
   }

   public boolean visit(GaussSelectQueryBlock.ForClauses x) {
      return true;
   }

   public void endVisit(GaussColumnSimpleDefinitionExpr x) {
   }

   public boolean visit(GaussColumnSimpleDefinitionExpr x) {
      return true;
   }

   public void endVisit(GaussRowsFromTableSource x) {
   }

   public boolean visit(GaussRowsFromTableSource x) {
      return true;
   }

   public void endVisit(GaussAlterDatabaseStatement x) {
   }

   public boolean visit(GaussAlterDatabaseStatement x) {
      return true;
   }

   public void endVisit(GaussAlterIndexStatement x) {
   }

   public boolean visit(GaussAlterIndexStatement x) {
      return true;
   }

   public void endVisit(GaussAlterSequenceStatement x) {
   }

   public boolean visit(GaussAlterSequenceStatement x) {
      return true;
   }

   public void endVisit(GaussAlterTableStatement x) {
   }

   public boolean visit(GaussAlterTableStatement x) {
      return true;
   }

   public void endVisit(GaussAlterTableRenameColumn x) {
   }

   public boolean visit(GaussAlterTableRenameColumn x) {
      return true;
   }

   public void endVisit(GaussAlterTableRenameConstraint x) {
   }

   public boolean visit(GaussAlterTableRenameConstraint x) {
      return true;
   }

   public void endVisit(GaussAlterTableRenameTo x) {
   }

   public boolean visit(GaussAlterTableRenameTo x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetSchema x) {
   }

   public boolean visit(GaussAlterTableSetSchema x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetNewTableSpace x) {
   }

   public boolean visit(GaussAlterTableSetNewTableSpace x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetWith x) {
   }

   public boolean visit(GaussAlterTableSetWith x) {
      return true;
   }

   public void endVisit(GaussAlterTableAddColumn x) {
   }

   public boolean visit(GaussAlterTableAddColumn x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetWith.GaussAlterTableDistributeByOption x) {
   }

   public boolean visit(GaussAlterTableSetWith.GaussAlterTableDistributeByOption x) {
      return true;
   }

   public void endVisit(GaussAlterTableDropColumn x) {
   }

   public boolean visit(GaussAlterTableDropColumn x) {
      return true;
   }

   public void endVisit(GaussAlterTableAlterColumn x) {
   }

   public boolean visit(GaussAlterTableAlterColumn x) {
      return true;
   }

   public void endVisit(GaussAlterTableAlterColumnOptions x) {
   }

   public boolean visit(GaussAlterTableAlterColumnOptions x) {
      return true;
   }

   public void endVisit(GaussAlterTableAlterColumnOptions.GaussAlterTableAlterColumnOptionValue x) {
   }

   public boolean visit(GaussAlterTableAlterColumnOptions.GaussAlterTableAlterColumnOptionValue x) {
      return true;
   }

   public void endVisit(GaussAlterTableAddConstraint x) {
   }

   public boolean visit(GaussAlterTableAddConstraint x) {
      return true;
   }

   public void endVisit(GaussAlterTableAddConstraint.GaussAlterTableAddConstraintUsingIndex x) {
   }

   public boolean visit(GaussAlterTableAddConstraint.GaussAlterTableAddConstraintUsingIndex x) {
      return true;
   }

   public void endVisit(GaussAlterTableValidateConstraint x) {
   }

   public boolean visit(GaussAlterTableValidateConstraint x) {
      return true;
   }

   public void endVisit(GaussAlterTableDropConstraint x) {
   }

   public boolean visit(GaussAlterTableDropConstraint x) {
      return true;
   }

   public void endVisit(GaussAlterTableDisableEnabelTrigger x) {
   }

   public boolean visit(GaussAlterTableDisableEnabelTrigger x) {
      return true;
   }

   public void endVisit(GaussAlterTableCluster x) {
   }

   public boolean visit(GaussAlterTableCluster x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetReset x) {
   }

   public boolean visit(GaussAlterTableSetReset x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetReset.StorageParameter x) {
   }

   public boolean visit(GaussAlterTableSetReset.StorageParameter x) {
      return true;
   }

   public void endVisit(GaussAlterTableInheriteOrNotParentTable x) {
   }

   public boolean visit(GaussAlterTableInheriteOrNotParentTable x) {
      return true;
   }

   public void endVisit(GaussAlterTableOf x) {
   }

   public boolean visit(GaussAlterTableOf x) {
      return true;
   }

   public void endVisit(GaussAlterTableSetTableSpace x) {
   }

   public boolean visit(GaussAlterTableSetTableSpace x) {
      return true;
   }

   public void endVisit(GaussCreateDatabaseStatement x) {
   }

   public boolean visit(GaussCreateDatabaseStatement x) {
      return true;
   }

   public void endVisit(GaussConstraint x) {
   }

   public boolean visit(GaussConstraint x) {
      return true;
   }

   public void endVisit(GaussConstraint.GaussConstraintCheck x) {
   }

   public boolean visit(GaussConstraint.GaussConstraintCheck x) {
      return true;
   }

   public void endVisit(GaussConstraint.GaussUnique x) {
   }

   public boolean visit(GaussConstraint.GaussUnique x) {
      return true;
   }

   public void endVisit(GaussConstraint.GaussPrimaryKey x) {
   }

   public boolean visit(GaussConstraint.GaussPrimaryKey x) {
      return true;
   }

   public void endVisit(GaussConstraint.GaussForeignKey x) {
   }

   public boolean visit(GaussConstraint.GaussForeignKey x) {
      return true;
   }

   public void endVisit(GaussOptionValue x) {
   }

   public boolean visit(GaussOptionValue x) {
      return true;
   }

   public void endVisit(GaussStorageParameter x) {
   }

   public boolean visit(GaussStorageParameter x) {
      return true;
   }

   public void endVisit(GaussConstraint.GaussIndexParamaters x) {
   }

   public boolean visit(GaussConstraint.GaussIndexParamaters x) {
      return true;
   }

   public void endVisit(GaussConstraint.GaussReference x) {
   }

   public boolean visit(GaussConstraint.GaussReference x) {
      return true;
   }

   public void endVisit(GaussColumnDefinition x) {
   }

   public boolean visit(GaussColumnDefinition x) {
      return true;
   }

   public void endVisit(GaussCreateTableStatement x) {
   }

   public boolean visit(GaussCreateTableStatement x) {
      return true;
   }

   public void endVisit(GaussCreateTableStatement.GaussTableDistributedBy x) {
   }

   public boolean visit(GaussCreateTableStatement.GaussTableDistributedBy x) {
      return true;
   }

   public void endVisit(GaussSQLObjectCollection x) {
   }

   public boolean visit(GaussSQLObjectCollection x) {
      return true;
   }

   public void endVisit(GaussSchemaTables x) {
   }

   public boolean visit(GaussSchemaTables x) {
      return true;
   }

   public void endVisit(GaussGrantStatement x) {
   }

   public boolean visit(GaussGrantStatement x) {
      return true;
   }

   public boolean visit(GaussAlterViewStatement x) {
      return true;
   }

   public boolean visit(GaussCreateSeqenceStatement x) {
      return true;
   }

   public boolean visit(GaussCreateTableSpaceStatement x) {
      return true;
   }

   public boolean visit(GaussCreateViewStatement x) {
      return true;
   }

   public boolean visit(GaussDropSequenceStatement x) {
      return true;
   }

   public boolean visit(GaussSQLPartitionBy x) {
      return true;
   }

   public boolean visit(GaussSQLPartition x) {
      return true;
   }

   public boolean visit(GaussSQLIndexSpec x) {
      return true;
   }

   public boolean visit(GaussCreateIndexStatement x) {
      return true;
   }

   public void endVisit(GaussAlterSessionStatement x) {
   }

   public boolean visit(GaussAlterSessionStatement x) {
      return true;
   }

   public void endVisit(GaussAlterSystemKillSessionStatement x) {
   }

   public boolean visit(GaussAlterSystemKillSessionStatement x) {
      return true;
   }

   public void endVisit(GaussAlterTableSpaceStatement x) {
   }

   public boolean visit(GaussAlterTableSpaceStatement x) {
      return true;
   }

   public void endVisit(GaussAlterTableModify x) {
   }

   public boolean visit(GaussAlterTableModify x) {
      return false;
   }

   public void endVisit(GaussCreateUserStatement x) {
   }

   public boolean visit(GaussCreateUserStatement x) {
      return false;
   }

   public void endVisit(GaussAlterUserStatement x) {
   }

   public boolean visit(GaussAlterUserStatement x) {
      return false;
   }

   public void endVisit(GaussCommonStatement x) {
   }

   public boolean visit(GaussCommonStatement x) {
      return false;
   }

   public void endVisit(GaussCreateGroupStatement x) {
   }

   public boolean visit(GaussCreateGroupStatement x) {
      return false;
   }

   public void endVisit(GaussAlterGroupStatement x) {
   }

   public boolean visit(GaussAlterGroupStatement x) {
      return false;
   }

   public void endVisit(GaussCreateMaterializedViewStatement x) {
   }

   public boolean visit(GaussCreateMaterializedViewStatement x) {
      return false;
   }

   public void endVisit(GaussDropSequenceStatement x) {
   }

   public void endVisit(GaussCreateSynonymStatement x) {
   }

   public boolean visit(GaussCreateSynonymStatement x) {
      return false;
   }

   public void endVisit(GaussAlterSynonymStatement x) {
   }

   public boolean visit(GaussAlterSynonymStatement x) {
      return false;
   }

   public void endVisit(GaussCreateRoleStatement x) {
   }

   public boolean visit(GaussCreateRoleStatement x) {
      return false;
   }

   public void endVisit(GaussAlterRoleStatement x) {
   }

   public boolean visit(GaussAlterRoleStatement x) {
      return false;
   }

   public void endVisit(GaussCreateTableAsStatement x) {
   }

   public boolean visit(GaussCreateTableAsStatement x) {
      return false;
   }

   public void endVisit(GaussRevokeStatement x) {
   }

   public boolean visit(GaussRevokeStatement x) {
      return false;
   }

   public void endVisit(GaussCreateTriggerStatement x) {
   }

   public boolean visit(GaussCreateTriggerStatement x) {
      return false;
   }

   public void endVisit(GaussAlterTriggerStatement x) {
   }

   public boolean visit(GaussAlterTriggerStatement x) {
      return false;
   }

   public void endVisit(GaussDropTriggerStatement x) {
   }

   public boolean visit(GaussDropTriggerStatement x) {
      return false;
   }
}
